Skip to main content
POST
Create / Update Objects

Authorizations

Authorization
string
header
required

Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.

Path Parameters

id
string
required

Unique identifier of the object in your system

object_type
string
required

Used to group similar objects together. Give plural namespace like teams, organizations, and roles.

Body

application/json
$email
string<email>[]

List of email addresses.

$sms
string[]

List of phone numbers for SMS

$whatsapp
string[]

List of phone numbers for WhatsApp

$inbox
string[]

List of inbox identifiers

$androidpush
string[]

List of Android Push tokens

$iospush
string[]

List of iOS Push tokens

$slack
(Slack using email · object | Slack using member ID · object | Slack using channel · object | Slack using incoming webhook · object)[]

Slack channel configuration

$ms_teams
(MS Teams using conversation ID · object | MS Teams using user ID · object | MS Teams using incoming webhook · object)[]

Microsoft Teams channel configuration

$timezone
string

Object's timezone in IANA format

Example:

"America/New_York"

$locale
string

Object's locale for translating template content in SuprSend.

Example:

"en_GB"

Response

201 - Created

id
string

unique identifier of the object

Example:

"engineering"

object_type
string

Used to group similar objects together. Give plural namespace like teams, organizations, and roles.

Example:

"departments"

subscriptions_count
integer

number of users/child objects subscribed to the object

Example:

"departments"

properties
object

all user properties in key-value pair. SuprSend reserved properties start with $

created_at
string<date-time>

Timestamp when the object was created.

Example:

"2025-04-04T09:55:12.397Z"

updated_at
string<date-time>

Timestamp when the object was last updated.

Example:

"2025-04-04T09:55:12.422Z"

$<channel>
object[]

List of active communication channels for the object.